import { ChartObject } from "fusioncharts";
import { SeriesMeasure } from "../../../../types/SeriesMeasure";
import { ReactWidgetPM } from "../../../../types/widget";
export declare function BuildFusionChartObject(seriesMeasures: SeriesMeasure[], widget: ReactWidgetPM): ChartObject;
export interface ChartInfo {
    theme: string;
    scrollHeight: string;
    scrollWidth: string;
    scrollPadding: string;
    flatScrollBars: string;
    enableSlicing: string;
    chartLeftMargin: string;
    chartTopMargin: string;
    chartRightMargin: string;
    chartBottomMargin: string;
    baseFont: string;
    baseFontSize: string;
    showPercentValues: string;
    showValues: string;
    showLegend: string;
    lineColor: string;
    vDivLineDashed: string;
    vDivLineDashLen: string;
    divLineDashed: string;
    divLineDashLen: string;
    enableRotation: string;
    legendItemFont: string;
    legendItemFontSize: string;
    legendCaptionFont: string;
    legendCaptionFontSize: string;
    labelFont: string;
    labelFontSize: string;
    plottooltext: string;
}
export declare function getTooltip(): string;
export declare function getSeriesPositionColor(position: number): string | null;
