import { Layouts } from "react-grid-layout";
import { ReactWidgetPM } from "../../types/widget";
import { DataPointSelection } from "../../types/SeriesMeasure";
import { DashboardDataBinding } from "../../types/DashboardDataBinding";
declare type DashboardDesignerProps = {
    editMode: boolean;
    Widgetlayouts: {
        lg: ReactWidgetPM[];
    };
    openEditWidget: (widget: ReactWidgetPM) => void;
    onLayoutChange: (layouts: Layouts) => void;
    dataBinding: DashboardDataBinding;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const DashboardDesigner: (props: DashboardDesignerProps) => JSX.Element;
export declare const layoutGridProps: {
    rowHeight: number;
    className: string;
    cols: {
        lg: number;
        md: number;
        sm: number;
        xs: number;
        xxs: number;
    };
    useCSSTransforms: boolean;
};
export default DashboardDesigner;
